Get a warehouse
curl --request GET \
--url https://api.example.com/api/warehouses/{id} \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/warehouses/{id}"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/warehouses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "Main Warehouse",
"code": "WH-001",
"city": "New York",
"country": "United States",
"address": "123 Warehouse Street, New York, NY 10001",
"primary": true
}Warehouses
Get a warehouse
GET
/
api
/
warehouses
/
{id}
Get a warehouse
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Path Parameters
Response
200 - application/json
The warehouse details have been successfully retrieved.
The name of the warehouse
Example:
"Main Warehouse"
The unique code identifier for the warehouse
Example:
"WH-001"
The city where the warehouse is located
Example:
"New York"
The country where the warehouse is located
Example:
"United States"
The full address of the warehouse
Example:
"123 Warehouse Street, New York, NY 10001"
Indicates if this is the primary warehouse
Example:
true